## r-cran-uroot 2.1

=== DESCRIPTION ===
Package: uroot
Version: 2.1-2
Date: 2020-09-04
Title: Unit Root Tests for Seasonal Time Series
Authors@R: c( person(given = "Javier", family = "López-de-Lacalle",
                     role = c("aut"), 
                     email = "javlacalle@yahoo.es"),
              person(given = c("Georgi", "N."), family = "Boshnakov", 
                     role = c("cre"), 
                     email = "georgi.boshnakov@manchester.ac.uk") )
Depends: R (>= 3.0.0), stats
URL: https://geobosh.github.io/uroot/
BugReports: https://github.com/GeoBosh/uroot/issues
Encoding: UTF-8
Description: Seasonal unit roots and seasonal stability tests.
    P-values based on response surface regressions are available for both tests.
    P-values based on bootstrap are available for seasonal unit root tests.
LazyData: yes
LazyDataCompression: xz
License: GPL-2
NeedsCompilation: no
Packaged: 2020-09-04 08:50:17 UTC; georgi
Author: Javier López-de-Lacalle [aut],
  Georgi N. Boshnakov [cre]
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2020-09-04 09:30:03 UTC

## r-cran-uroot 2.0-9

=== debian/changelog ===
r-cran-uroot (2.0-9-1build1) eoan; urgency=medium

  * No-change rebuild against r-base 3.6

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 21 Jul 2019 07:12:04 +0000

r-cran-uroot (2.0-9-1) unstable; urgency=medium

  * Initial release (closes: #925133)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Mar 2019 11:00:10 +0100

=== debian/control ===
Source: r-cran-uroot
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uroot
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uroot.git
Homepage: https://cran.r-project.org/package=uroot

Package: r-cran-uroot
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R unit root tests for seasonal time series
 Seasonal unit roots and seasonal stability tests. P-values based on
 response surface regressions are available for both tests. P-values
 based on bootstrap are available for seasonal unit root tests. A
 parallel implementation of the bootstrap method requires a CUDA capable
 GPU with compute capability >= 3.0, otherwise a debugging version fully
 coded in R is used.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_clean:
	dh_auto_clean
	if [ -d tmp_config ] ; then \
	    mv tmp_config/configure* . ; \
	    rm -rf tmp_config ; \
	fi
	rm -f R/hegy-test.R

override_dh_autoreconf:
	echo "Do nothing since R packages do not need this"
	mkdir tmp_config
	mv configure* tmp_config
	# Provide hegy.test for the case we have no CUDA installed (cuda is only available in non-free)
	sed 's/@HAS_CUDA@/FALSE/g' $(CURDIR)/R/hegy-test.R.in > $(CURDIR)/R/hegy-test.R

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.Rnw" -exec chmod -x \{\} \;

## r-cran-uroot 2.1-0

=== debian/changelog ===
r-cran-uroot (2.1-0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 May 2020 23:32:58 +0200

r-cran-uroot (2.1-0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Package is Arch: all
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/changelog
  * Set upstream metadata fields: Archive.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Wed, 09 Oct 2019 10:28:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uroot
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uroot.git
 Homepage: https://cran.r-project.org/package=uroot
+Rules-Requires-Root: no
 
 Package: r-cran-uroot
-Architecture: any
+Architecture: all
 Depends: ${R:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-uroot 2.1-2

=== debian/changelog ===
r-cran-uroot (2.1-2-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2020 14:59:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
 Standards-Version: 4.5.0

## r-cran-uroot 2.1-3

=== debian/changelog ===
r-cran-uroot (2.1-3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 09:50:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-uroot
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uroot
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uroot.git
+Homepage: https://cran.r-project.org/package=uroot
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uroot
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uroot.git
-Homepage: https://cran.r-project.org/package=uroot
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-uroot
 Architecture: all

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/uroot_([-\d.]*)\.tar\.gz
